-- phpMyAdmin SQL Dump
-- version 2.6.0-pl2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 08. Januar 2005 um 15:16
-- Server Version: 4.0.15
-- PHP-Version: 5.0.1
-- 
-- Datenbank: `elise2`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_article`
-- 

CREATE TABLE `eli_article` (
  `id` int(32) NOT NULL auto_increment,
  `kat` varchar(90) NOT NULL default '',
  `text` text NOT NULL,
  `author` varchar(50) NOT NULL default '',
  `date` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_boxen`
-- 

CREATE TABLE `eli_boxen` (
  `id` int(32) NOT NULL auto_increment,
  `nr` int(32) NOT NULL default '0',
  `titel` varchar(32) NOT NULL default '',
  `inhalt` text NOT NULL,
  `ausrichtung` varchar(5) NOT NULL default '',
  `boxfile` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_config`
-- 

CREATE TABLE `eli_config` (
  `config_name` varchar(255) NOT NULL default '',
  `config_wert` text NOT NULL,
  PRIMARY KEY  (`config_name`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_counter`
-- 

CREATE TABLE `eli_counter` (
  `hits` bigint(20) NOT NULL default '0'
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_groups`
-- 

CREATE TABLE `eli_groups` (
  `id` int(11) NOT NULL auto_increment,
  `g_name` varchar(200) NOT NULL default '',
  `allow_news` tinyint(1) NOT NULL default '0',
  `allow_user` tinyint(1) NOT NULL default '0',
  `allow_admincenter` tinyint(1) NOT NULL default '0',
  `allow_article` tinyint(1) NOT NULL default '0',
  `allow_offview` tinyint(1) NOT NULL default '0',
  `allow_secuai` tinyint(1) NOT NULL default '0',
  `allow_boxmanager` tinyint(1) NOT NULL default '0',
  `allow_econfig` tinyint(1) NOT NULL default '0',
  `allow_theme` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_news`
-- 

CREATE TABLE `eli_news` (
  `id` int(11) NOT NULL auto_increment,
  `autor` varchar(50) NOT NULL default '',
  `datum` varchar(50) NOT NULL default '',
  `kategorie` varchar(50) NOT NULL default '',
  `titel` varchar(50) NOT NULL default '',
  `news` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_newskat`
-- 

CREATE TABLE `eli_newskat` (
  `id` int(11) NOT NULL auto_increment,
  `img` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  `descr` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_sessions`
-- 

CREATE TABLE `eli_sessions` (
  `username` varchar(255) NOT NULL default '',
  `zeit` varchar(50) NOT NULL default '',
  `ip` varchar(200) NOT NULL default '',
  `gast` varchar(10) NOT NULL default ''
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_smilies`
-- 

CREATE TABLE `eli_smilies` (
  `id` int(11) NOT NULL auto_increment,
  `graph` varchar(20) NOT NULL default '',
  `short` varchar(20) NOT NULL default '',
  `name` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_stats`
-- 

CREATE TABLE `eli_stats` (
  `ip` varchar(50) NOT NULL default '0',
  `time` varchar(14) NOT NULL default ''
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_theme`
-- 

CREATE TABLE `eli_theme` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `folder` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `eli_users`
-- 

CREATE TABLE `eli_users` (
  `id` int(11) NOT NULL auto_increment,
  `nickname` varchar(50) NOT NULL default '',
  `Kennwort` varchar(50) NOT NULL default '',
  `gruppe` varchar(50) NOT NULL default '1',
  `email` varchar(60) NOT NULL default '',
  `homepage` varchar(60) NOT NULL default '',
  `icq` varchar(20) NOT NULL default '',
  `aim` varchar(25) NOT NULL default '',
  `yim` varchar(25) NOT NULL default '',
  `herkunft` varchar(255) NOT NULL default '',
  `hobbys` varchar(255) NOT NULL default '',
  `seit` varchar(32) NOT NULL default '',
  `geschlecht` varchar(32) NOT NULL default '',
  `aktiviert` varchar(32) NOT NULL default '',
  `theme` int(11) NOT NULL default '1',
  `lang` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=1 ;
