<?php
/***************************************************************************
 *                                setup.php
 *                            -------------------
 *   begin                : Tuesday, August 3, 2004
 *   copyright            : (C) 2004 Neoscheff
 *   email                : neoscheff@cback.de
 *
 *   $Id: setup.php,v 1.1.2.0 2004/07/3 21:05:35 neoscheff Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 //from phpbb2
 function remove_comments(&$output)
{
	$lines = explode("\n", $output);
	$output = "";

	// try to keep mem. use down
	$linecount = count($lines);

	$in_comment = false;
	for($i = 0; $i < $linecount; $i++)
	{
		if( preg_match("/^\/\*/", preg_quote($lines[$i])) )
		{
			$in_comment = true;
		}

		if( !$in_comment )
		{
			$output .= $lines[$i] . "\n";
		}

		if( preg_match("/\*\/$/", preg_quote($lines[$i])) )
		{
			$in_comment = false;
		}
	}

	unset($lines);
	return $output;
}

//
// remove_remarks will strip the sql comment lines out of an uploaded sql file
//
function remove_remarks($sql)
{
	$lines = explode("\n", $sql);

	// try to keep mem. use down
	$sql = "";

	$linecount = count($lines);
	$output = "";

	for ($i = 0; $i < $linecount; $i++)
	{
		if (($i != ($linecount - 1)) || (strlen($lines[$i]) > 0))
		{
			if ($lines[$i][0] != "#")
			{
				$output .= $lines[$i] . "\n";
			}
			else
			{
				$output .= "\n";
			}
			// Trading a bit of speed for lower mem. use here.
			$lines[$i] = "";
		}
	}

	return $output;

}

//
// split_sql_file will split an uploaded sql file into single sql statements.
// Note: expects trim() to have already been run on $sql.
//
function split_sql_file($sql, $delimiter)
{
	// Split up our string into "possible" SQL statements.
	$tokens = explode($delimiter, $sql);

	// try to save mem.
	$sql = "";
	$output = array();

	// we don't actually care about the matches preg gives us.
	$matches = array();

	// this is faster than calling count($oktens) every time thru the loop.
	$token_count = count($tokens);
	for ($i = 0; $i < $token_count; $i++)
	{
		// Don't wanna add an empty string as the last thing in the array.
		if (($i != ($token_count - 1)) || (strlen($tokens[$i] > 0)))
		{
			// This is the total number of single quotes in the token.
			$total_quotes = preg_match_all("/'/", $tokens[$i], $matches);
			// Counts single quotes that are preceded by an odd number of backslashes,
			// which means they're escaped quotes.
			$escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$i], $matches);

			$unescaped_quotes = $total_quotes - $escaped_quotes;

			// If the number of unescaped quotes is even, then the delimiter did NOT occur inside a string literal.
			if (($unescaped_quotes % 2) == 0)
			{
				// It's a complete sql statement.
				$output[] = $tokens[$i];
				// save memory.
				$tokens[$i] = "";
			}
			else
			{
				// incomplete sql statement. keep adding tokens until we have a complete one.
				// $temp will hold what we have so far.
				$temp = $tokens[$i] . $delimiter;
				// save memory..
				$tokens[$i] = "";

				// Do we have a complete statement yet?
				$complete_stmt = false;

				for ($j = $i + 1; (!$complete_stmt && ($j < $token_count)); $j++)
				{
					// This is the total number of single quotes in the token.
					$total_quotes = preg_match_all("/'/", $tokens[$j], $matches);
					// Counts single quotes that are preceded by an odd number of backslashes,
					// which means they're escaped quotes.
					$escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$j], $matches);

					$unescaped_quotes = $total_quotes - $escaped_quotes;

					if (($unescaped_quotes % 2) == 1)
					{
						// odd number of unescaped quotes. In combination with the previous incomplete
						// statement(s), we now have a complete statement. (2 odds always make an even)
						$output[] = $temp . $tokens[$j];

						// save memory.
						$tokens[$j] = "";
						$temp = "";

						// exit the loop.
						$complete_stmt = true;
						// make sure the outer loop continues at the right point.
						$i = $j;
					}
					else
					{
						// even number of unescaped quotes. We still don't have a complete statement.
						// (1 odd and 1 even always make an odd)
						$temp .= $tokens[$j] . $delimiter;
						// save memory.
						$tokens[$j] = "";
					}

				} // for..
			} // else
		}
	}

	return $output;
}
$root = "../";
$chmod_list=array("../images/news","../images/smilies");
//using Templatesystem from Elise (i'm too lazy to write the HTML in the code, maybe it's better that way)
function tmpl($template) {
          $endung = "htm";
          $templatefolder = "tmpl";
if(!file_exists($templatefolder."/".$template.".".$endung)){
echo("Kritischer Fehler! Template ".$template." fehlt!");
} else {
return str_replace("\"","\\\"",implode("",file($templatefolder."/".$template.".".$endung)));
}
unset($template);
}

function page($site, $title){
/* No im not stupid...
 please believe me when i say that's needet 4 Error_reporting=all...
 yes i know nobody turns that to all....
 yell @ cback *gg*
 */
If(isset($GLOBALS['user'])){
$user=$GLOBALS['user'];
} else {
$user="";
}
If(isset($GLOBALS['pass'])){
$pass=$GLOBALS['pass'];
} else {
$pass="";
}
If(isset($GLOBALS['db'])){
$db=$GLOBALS['db'];
} else {
$db="";
}
If(isset($GLOBALS['server'])){
$server=$GLOBALS['server'];
} else {
$server="";
}
If(isset($GLOBALS['table_prefix'])){
$table_prefix=$GLOBALS['table_prefix'];
} else {
$table_prefix="";
}
If(isset($GLOBALS['apass1'])){
$apass1=$GLOBALS['apass1'];
} else {
$apass1="";
}
If(isset($GLOBALS['apass'])){
$apass=$GLOBALS['apass'];
} else {
$apass="";
}
If(isset($GLOBALS['aname'])){
$aname=$GLOBALS['aname'];
} else {
$aname="";
}
If(isset($GLOBALS['aemail'])){
$aemail=$GLOBALS['aemail'];
} else {
$aemail="";
}
If(isset($GLOBALS['u_done'])){
$u_done=$GLOBALS['u_done'];
} else {
$u_done="";
}
If(isset($GLOBALS['t_done'])){
$t_done=$GLOBALS['t_done'];
} else {
$t_done="";
}
If(isset($GLOBALS['i_done'])){
$i_done=$GLOBALS['i_done'];
} else {
$i_done="";
}
If(isset($GLOBALS['config_data'])){
$config_data=$GLOBALS['config_data'];
}  else {
$config_data="";
}
If(isset($GLOBALS['viewconfig'])){
$viewconfig=$GLOBALS['viewconfig'];
}  else {
$viewconfig="";
}
If(isset($GLOBALS['err'])){
$err=$GLOBALS['err'];
}  else {
$err="";
}
If(isset($GLOBALS['typ'])){
$typ=$GLOBALS['typ'];
}  else {
$typ="";
}
include("lang/".$GLOBALS['lang'].".php");
$p_title=$title;
$header=""; //error Reporting Hack
$footer=""; //also
eval ("\$head = \"".tmpl('header')."\";");
eval ("\$body = \"".tmpl($site)."\";");
eval ("\$foot = \"".tmpl('footer')."\";");
$output=$head;
$output.=$body;
$output.=$foot;
return $output;
}
//Here should be a cute Language detection... so to let it look professional i only include the german lang file...
$GLOBALS['lang']='english';
include("lang/".$lang.".php");
if(file_exists($root."config.php")){    // Else go to the Protectet Service Center... coming soon
$GLOBALS['install']=FALSE;
}else{
$GLOBALS['install']=TRUE;
}
if(!isset($_GET['step'])) {
echo page("welcome", $title0);
}
if(isset($_GET['step']) && $_GET['step'] == "1"){
$GLOBALS['lang']=$_POST['lang'];
include("lang/".$lang.".php");
$typ=$_POST['typ'];
$p_title=$title9;
eval ("\$check= \"".tmpl("header")."\";");
foreach ($chmod_list as $dir) {
    @chmod($dir,0777);
    if (!is_writeable($dir)) {$error=TRUE;
     if (!is_dir($dir) && !is_file($dir)) {$dir_status=$n_a; $color="yellow";}
     else {$dir_status=$not; $color="red";}
     }
    else {$dir_status=$yes; $color="green";}
   eval ("\$check.= \"".tmpl("chmod")."\";");
   }
  if (isset($error) && $error){
   eval ("\$check.= \"".tmpl("chnok")."\";");
   }else{
    eval ("\$check.= \"".tmpl("chok")."\";");
   }
  eval ("\$check.= \"".tmpl("footer")."\";");
  echo $check;
}
if(isset($_GET['step']) && $_GET['step'] == "2"){
if($_POST['typ']== "update"){
$typ=$_POST['typ'];
echo page("auth", $title10);
}
If($_POST['typ'] == "install" && $install){
echo page("install", $title1);
}
}
if(isset($_GET['step']) && $_GET['step'] == "3" && $install){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
echo page("admin", $title6);
}
if(isset($_GET['step']) && $_GET['step'] == "4" && $install){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
If(isset($_POST['apass'])){
$GLOBALS['apass']=$_POST['apass'];
} else {
$GLOBALS['apass']="";
}
If(isset($_POST['apass1'])){
$GLOBALS['apass1']=$_POST['apass1'];
} else {
$GLOBALS['apass1']="";
}
If(isset($_POST['aname'])){
$GLOBALS['aname']=$_POST['aname'];
} else {
$GLOBALS['aname']="";
}
If(isset($_POST['aemail'])){
$GLOBALS['aemail']=$_POST['aemail'];
} else {
$GLOBALS['aemail']="";
}
If($apass <> $apass1){
echo ("<br><br><font color=\"red\"><center>Die Passwrter stimmen nicht berein.<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
exit;
}
echo page("cins", $title7);
}
if(isset($_GET['step']) && $_GET['step'] == "5" && $install ){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
If(isset($_POST['apass'])){
$GLOBALS['apass']=$_POST['apass'];
} else {
$GLOBALS['apass']="";
}
If(isset($_POST['apass1'])){
$GLOBALS['apass1']=$_POST['apass1'];
} else {
$GLOBALS['apass1']="";
}
If(isset($_POST['aname'])){
$GLOBALS['aname']=$_POST['aname'];
} else {
$GLOBALS['aname']="";
}
If(isset($_POST['aemail'])){
$GLOBALS['aemail']=$_POST['aemail'];
} else {
$GLOBALS['aemail']="";
}
If(isset($_POST['cport'])){
$GLOBALS['cport']=$_POST['cport'];
} else {
$GLOBALS['cport']="";
}
If(isset($_POST['cserver'])){
$GLOBALS['cserver']=$_POST['cserver'];
} else {
$GLOBALS['cserver']="";
}
If(isset($_POST['cemail'])){
$GLOBALS['cemail']=$_POST['cemail'];
} else {
$GLOBALS['cemail']="";
}
$md5pass = md5($apass);
$connectionid  = mysql_connect ($server, $user, $pass);
if (!mysql_select_db ($db, $connectionid))
{
  echo ("<br><br><font color=\"red\"><center>Keine Verbindung zur Datenbank<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
}
//taken from PHPBB Install but modified to fit Orion
$schema="dump/s_dump.sql";
$data="dump/d_dump.sql";
$remove_remarks = "remove_remarks";
$delimiter = ";";
$delimiter_basic = ";";
 $sql_query = @fread(@fopen($schema, 'r'), @filesize($schema));
				$sql_query = preg_replace('/eli_/', $table_prefix, $sql_query);

				$sql_query = remove_remarks($sql_query);
				$sql_query = split_sql_file($sql_query, $delimiter);

				for ($i = 0; $i < sizeof($sql_query); $i++)
				{
					if (trim($sql_query[$i]) != '')
					{
                                          if (!($result = mysql_query($sql_query[$i])))
						{

       echo ("<br><br><font color=\"red\"><center>Datenbankfehler: ".mysql_error()."<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
							exit;
						}
					}
				}

  $t_done=$i;



// Ok tables have been built, let's fill in the basic information
			$sql_query = @fread(@fopen($data, 'r'), @filesize($data));
				$sql_query = preg_replace('/eli_/', $table_prefix, $sql_query);

				$sql_query = $remove_remarks($sql_query);
				$sql_query = split_sql_file($sql_query, $delimiter_basic);

				for($i = 0; $i < sizeof($sql_query); $i++)
				{
					if (trim($sql_query[$i]) != '')
					{
						if (!($result = mysql_query($sql_query[$i])))
                                                {
                                                echo ("<br><br><font color=\"red\"><center>Datenbankfehler: ".mysql_error()."<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
						exit;
						}
					}
				}

     $i_done=$i;
     $now=date("d.m.Y");
     $sql = "INSERT INTO " . $table_prefix . "config (config_name, config_wert)
				VALUES ('startdate', '$now')";

    mysql_query($sql);
    if($cport!=80){
      $sql = "INSERT INTO " . $table_prefix . "config (config_name, config_wert)
				VALUES ('siteurl', 'http://" . $cserver . ":" .$cport."/" .$cemail."')";
      }else{
    $sql = "INSERT INTO " . $table_prefix . "config (config_name, config_wert)
				VALUES ('siteurl', 'http://" . $cserver . "/" .$cemail."')";
       }
    mysql_query($sql)or die(Mysql_error());
    $sql = "INSERT INTO " . $table_prefix . "config (config_name, config_wert)
				VALUES ('cookiepath', '".$cemail."')";

    mysql_query($sql);

    $sql = "INSERT INTO " . $table_prefix . "config (config_name, config_wert)
				VALUES ('cookieurl', '".$cserver."')";

    mysql_query($sql);


$sql = "INSERT INTO " . $table_prefix . "users (id, nickname, Kennwort, gruppe, email, homepage, icq, herkunft, hobbys, seit, geschlecht, aktiviert, theme)
				VALUES ('1','" . $aname . "', '" . $md5pass . "', '3', '" . $aemail . "', 'http://www.elise-cms.tk.de', '', '', '', '" . $now . "', 'N/A', '', '1      ')";
mysql_query($sql) or die(mysql_error());

echo page("mysql_done", $title2);
 }
if(isset($_GET['step']) && $_GET['step'] == "6" && !$install){
echo page("finish", $title4);
}
if(isset($_GET['step']) && $_GET['step'] == "6" && $install){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
// taken from the PHPBB install
$config_data = '<?php'."\n\n";
$config_data .= "\n// Elise Config File, maybe here should be something about\n //you should not change something... but... i dont care :D \n\n";
$config_data .= '$host = \'' . $server . '\';' . "\n";
$config_data .= '$db = \'' . $db . '\';' . "\n";
$config_data .= '$benutzer = \'' . $user . '\';' . "\n";
$config_data .= '$passwort = \'' . $pass . '\';' . "\n\n";
$config_data .= '$prefix = \'' . $table_prefix . '\';' . "\n\n";
$config_data .= '?>';
if ((!$fp = @fopen($root . 'config.php', 'w'))){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
echo page("confdl", $title3);
}else{
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
$result = @fputs($fp, $config_data, strlen($config_data));
@fclose($fp);
echo page("finish", $title4);
}
}
if(isset($_GET['step']) && $_GET['step'] == "7" && $install){
If(isset($_POST['user'])){
$GLOBALS['user']=$_POST['user'];
$user=$_POST['user'];
} else {
$GLOBALS['user']="";
$user="";
}
If(isset($_POST['server'])){
$GLOBALS['server']=$_POST['server'];
$server=$_POST['server'];
} else {
$GLOBALS['server']="";
$server="";
}
If(isset($_POST['db'])){
$GLOBALS['db']=$_POST['db'];
$db=$_POST['db'];
} else {
$GLOBALS['db']="";
$db="";
}
If(isset($_POST['pass'])){
$GLOBALS['pass']=$_POST['pass'];
$pass=$_POST['pass'];
} else {
$GLOBALS['pass']="";
$pass="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
$table_prefix=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
$table_prefix="";
}
$config_data = '<?php'."\n\n";
$config_data .= "\n// Elise Config File, maybe here should be something about\n //you should not change something... but... i dont care :D \n\n";
$config_data .= '$host = \'' . $server . '\';' . "\n";
$config_data .= '$db = \'' . $db . '\';' . "\n";
$config_data .= '$benutzer = \'' . $user . '\';' . "\n";
$config_data .= '$passwort = \'' . $pass . '\';' . "\n\n";
$config_data .= '$prefix = \'' . $table_prefix . '\';' . "\n\n";
$config_data .= '?>';
$GLOBALS['config_data']=$config_data;
If(isset($_POST['dowhat']) && $_POST['dowhat']=="down"){
 echo page("down", $title8);
 }else{
 $viewconfig = highlight_string($config_data, TRUE);
 echo page("confview", $title5);
}
}
if(isset($_GET['step']) && $_GET['step'] == "download" && $install){
header('Content-Type: text/x-delimtext; name="config.php"');
	header('Content-disposition: attachment; filename="config.php"');

	// We need to stripslashes no matter what the setting of magic_quotes_gpc is
	// because we add slashes at the top if its off, and they are added automaticlly
	// if it is on.
	echo $_POST["config_data"];

exit;
}
if(isset($_GET['step']) && $_GET['step'] == "finish" && $install)
{
echo page("finish", $title4);
}
if(isset($_GET['step']) && $_GET['step'] == "upmy" && $_POST['typ']== "update"){
if(file_exists($root."/config.php")){
$GLOBALS['install']=FALSE;
      include($root."/config.php");
      If ($_POST['authser'] != $dbhost || $_POST['authnam'] != $dbuser || $_POST['authpas'] != $dbpass || $_POST['authdb'] != $dbname){
      die($notauth);
      } else {
      $connectionid  = mysql_connect ($dbhost, $dbuser, $dbpass);
      if (!mysql_select_db ($dbname, $connectionid)){
      die ("<br><br><font color=\"red\"><center>Keine Verbindung zur Datenbank<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
      }
      }
} else {
$GLOBALS['install']=TRUE;
$table_prefix=$_POST['table_prefix'];
$connectionid  = mysql_connect ($_POST['authser'],  $_POST['authnam'], $_POST['authpas']);
if (!mysql_select_db ($_POST['authdb'], $connectionid))
{
die ("<br><br><font color=\"red\"><center>Keine Verbindung zur Datenbank<br><br><a href=\"javascript:history.back(1)\">Zurck</a></center></font>");
}
}
$schema="dump/s_dump.sql";
$data="dump/u_d_dump.sql";
$upgrade="dump/u_dump.sql";
$remove_remarks = "remove_remarks";
$delimiter = ";";
$delimiter_basic = ";";
$e="0";
 $sql_query = @fread(@fopen($schema, 'r'), @filesize($schema));
				$sql_query = preg_replace('/orion_/', $table_prefix, $sql_query);

				$sql_query = remove_remarks($sql_query);
				$sql_query = split_sql_file($sql_query, $delimiter);

				for ($i = 0; $i < sizeof($sql_query); $i++) {


				if (!$result = mysql_query($sql_query[$i]))
				{
					$errored = true;
					$failed_sql_count = $failed_sql_count + 1;
					$error_info = (substr_count(@mysql_error(), 'Duplicate') || substr_count(@mysql_error(), 'already exists')) ? '<br />' . $lang['Already_exists'] : '';
                                }
                                else
				{
                                        $e++;
				}

    }

  $t_done=$e;
  $e="0";
        $sql_query = @fread(@fopen($upgrade, 'r'), @filesize($upgrade));
				$sql_query = preg_replace('/orion_/', $table_prefix, $sql_query);

				$sql_query = remove_remarks($sql_query);
				$sql_query = split_sql_file($sql_query, $delimiter);

				for ($i = 0; $i < sizeof($sql_query); $i++) {

				if (!$result = mysql_query($sql_query[$i]))
				{
					$errored = true;
					$failed_sql_count = $failed_sql_count + 1;
					$error_info = (substr_count(@mysql_error(), 'Duplicate') || substr_count(@mysql_error(), 'already exists')) ? '<br />' . $lang['Already_exists'] : '';
				}
				else
				{
                                        $e++;
				}

    }

  $u_done=$e;
  $e="0";


 $sql_query = @fread(@fopen($data, 'r'), @filesize($data));
				$sql_query = preg_replace('/orion_/', $table_prefix, $sql_query);

				$sql_query = remove_remarks($sql_query);
				$sql_query = split_sql_file($sql_query, $delimiter);

				for ($i = 0; $i < sizeof($sql_query); $i++) {

				if (!$result = mysql_query($sql_query[$i]))
				{
					$errored = true;
					$failed_sql_count = $failed_sql_count + 1;
					$error_info = (substr_count(@mysql_error(), 'Duplicate') || substr_count(@mysql_error(), 'already exists')) ? '<br />' . $lang['Already_exists'] : '';
				}
				else
				{
                                                 $e++;
				}


    }


     $i_done=$e;
     If(isset($_POST['authnam'])){
$GLOBALS['user']=$_POST['authnam'];
} else {
$GLOBALS['user']="";
}
If(isset($_POST['authser'])){
$GLOBALS['server']=$_POST['authser'];
} else {
$GLOBALS['server']="";
}
If(isset($_POST['authdb'])){
$GLOBALS['db']=$_POST['authdb'];
} else {
$GLOBALS['db']="";
}
If(isset($_POST['authpas'])){
$GLOBALS['pass']=$_POST['authpas'];
} else {
$GLOBALS['pass']="";
}
If(isset($_POST['table_prefix'])){
$GLOBALS['table_prefix']=$_POST['table_prefix'];
} else {
$GLOBALS['table_prefix']="";
}
     
     echo page("mysql_done", $title11);
     }
?>
